package com.nisum.paymentvendorsimulator.afterpay.controllers;

import com.nisum.paymentvendorsimulator.afterpay.services.AfterpayService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/afterpay")
@CrossOrigin(origins = "*")
public class AfterpayController {

  private static final Logger logger = LoggerFactory.getLogger(AfterpayController.class);

  @Autowired
  AfterpayService apService;

  @PostMapping(value = "/authorize", consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
  public void authorize() {
    logger.info("this is AP controller");
    apService.authorize();
  }

}
